import org.hamcrest.Matcher;
import org.junit.Rule;
import org.junit.Test;

import org.junit.rules.Timeout;
import java.lang.reflect.Method;

import static org.hamcrest.Matchers.allOf;
import static org.hamcrest.MatcherAssert.assertThat;
import static org.hamcrest.number.OrderingComparison.greaterThan;
import static org.hamcrest.number.OrderingComparison.lessThan;

public class Aufgabe2Test {
    @Rule
    public Timeout globalTimeout = new Timeout(1000);

    void assertMultipleChoice(String which) throws Exception {
        Method method = Questions2.class.getDeclaredMethod(which);
        int answer = (Integer)method.invoke(null);
        assertThat("Antwort zu gross", answer, allOf(lessThan(2), greaterThan(-2)));
    }

    @Test
    public void testFrage1() throws Exception {
        assertMultipleChoice("x929092003");
        assertMultipleChoice("x03030022");
        assertMultipleChoice("x3823922");
        assertMultipleChoice("x34433922");
        assertMultipleChoice("x8932222");
    }
}
